#!/usr/bin/env bash

# This serial script links the epsmat and bsemat files.

echo "Linking epsmat files"
for directory in *-*/; do
  # Ignore the "1-epsilon/" directory and things that are not directories
  if [[ ( $directory == 1-* ) || ! -d $directory ]]; then continue; fi
  echo " Working on directory $directory"

  cd $directory
  ln -sf ../1-epsilon/epsmat ./
  ln -sf ../1-epsilon/eps0mat ./
  cd ../
done

echo
echo "Done!"
